mirror of
git://slackware.nl/current.git
synced 2024-12-28 09:59:53 +01:00
44 lines
1 KiB
Diff
44 lines
1 KiB
Diff
|
--- ./scripts/xdg-open.orig 2011-01-01 04:03:14.000000000 -0600
|
||
|
+++ ./scripts/xdg-open 2013-06-09 21:15:55.612892954 -0500
|
||
|
@@ -308,6 +308,7 @@
|
||
|
elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome;
|
||
|
elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce;
|
||
|
elif [ x"$DESKTOP_SESSION" == x"LXDE" ]; then DE=lxde;
|
||
|
+ elif [ x"$DESKTOP_SESSION" == x"mate" ]; then DE=mate;
|
||
|
else DE=""
|
||
|
fi
|
||
|
}
|
||
|
@@ -371,6 +372,21 @@
|
||
|
fi
|
||
|
}
|
||
|
|
||
|
+open_mate()
|
||
|
+{
|
||
|
+ if gvfs-open --help 2>/dev/null 1>&2; then
|
||
|
+ gvfs-open "$1"
|
||
|
+ else
|
||
|
+ mate-open "$1"
|
||
|
+ fi
|
||
|
+
|
||
|
+ if [ $? -eq 0 ]; then
|
||
|
+ exit_success
|
||
|
+ else
|
||
|
+ exit_failure_operation_failed
|
||
|
+ fi
|
||
|
+}
|
||
|
+
|
||
|
open_xfce()
|
||
|
{
|
||
|
exo-open "$1"
|
||
|
@@ -539,6 +555,10 @@
|
||
|
open_gnome "$url"
|
||
|
;;
|
||
|
|
||
|
+ mate)
|
||
|
+ open_mate "$url"
|
||
|
+ ;;
|
||
|
+
|
||
|
xfce)
|
||
|
open_xfce "$url"
|
||
|
;;
|